c      SUBROUTINE MILLIM(LL,RMM)
      INTEGER FUNCTION MILLIM(LL,RMM)
C----------------------------------------------------------------------
C-
C-   Purpose and Methods : TRASFORMA IL NUMERO DI STRISCIA IN mm TENENDO CONTO
C-   DELLE AREE MORTE
C-
C-   Inputs  : NUMERO DI STRISCIA (INTERO)
C-   Outputs : VALORE IN mm (REALE)
C-   Controls:
C-
C-   Created   3-FEB-1994   MIRKO BOEZIO
C-   Modified  1-MAR-1994   MIRKO BOEZIO . SOSTITUITO IN MILLIM
C-   - AA / 2.              CON
C-   - 3.75 / 2.
C-   Modified  31-MAR-1994   MIRKO BOEZIO . AGGIUNTA IN LASTRISCIA LA RIGA :
C-   IF (IBAR.EQ.0) IBAR = 1
C-
C----------------------------------------------------------------------
      INCLUDE 'INTEST.TXT'
      REAL SHIFT, AAA, RMM
      INTEGER LL,K1,K2
      COMMON / SHIFT / SHIFT
      SAVE / SHIFT /

      AAA = AA + SHIFT
      II = LL - 1
      K1 = INT(II / 32)
      K2 = MOD(II,32) + 1
      RMM = FLOAT(K1) * ADIST + AAA + FLOAT(K2) * 2.44 - 2.44 / 2.
C

  999 RETURN
      END

